LibreOffice: XPackageInformationProvider Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XPackageInformationProvider Interface Reference

Objects implementing this interface provide a URL to the root of an installed package. More...

`import "XPackageInformationProvider.idl";`

Inheritance diagram for XPackageInformationProvider:

## Public Member Functions
string | getPackageLocation ([in] string extensionId)
| get Package information for a specific extension.
sequence< sequence< string > > | isUpdateAvailable ([in] string extensionId)
| check if there are updates available for an extension.
sequence< sequence< string > > | getExtensionList ()
| returns a list of all installed extension with their version.

## Detailed Description

Objects implementing this interface provide a URL to the root of an installed package.

Since
  OOo 2.3

## Member Function Documentation

## ◆ getExtensionList()

sequence< sequence< string > > getExtensionList | ( |  | ) |

returns a list of all installed extension with their version.

## ◆ getPackageLocation()

string getPackageLocation | ( | [in] string | extensionId | ) |

get Package information for a specific extension.

Parameters

  extensionId | the unique identifier of an extension. The service looks for an installed package with the given id and returns the URL to the root of the package. If the service can not find a matching package, an empty string will be returned.

## ◆ isUpdateAvailable()

sequence< sequence< string > > isUpdateAvailable | ( | [in] string | extensionId | ) |

check if there are updates available for an extension.

Parameters

  extensionId | the unique identifier of an extension. When the extensionId is empty, the service looks checks all installed extensions for a newer version, otherwise the service looks for updates for an installed package with the given id. If the service finds an update for an extension, a sequence containing the name and the version will be returned for each extension which has an update. If the service can not find a matching package, an empty sequence is returned.

The documentation for this interface was generated from the following file:

- com/sun/star/deployment/XPackageInformationProvider.idl